## 9.3 Connecting to the Server

Before you can execute a visual program, your workstation must have established connection to the server. When you start Data Explorer, the program automatically starts the server connection, unless you specified that only the user interface was to be started. However, if for some reason your workstation becomes disconnected between the time you start Data Explorer and the time you are ready to run a program, you must reestablish connection with the server.

To start the server connection, select the `Start Server...` option from the `Connection` pull-down menus in the VPE or Image window. A dialog box appears (Figure 81).

Figure 81. Start Server Dialog Box

The Hostname field, by default, contains the name "localhost." If the DXHOST environment variable or the `-host` argument was specified, this field contains the setting of that variable.

You can change the Hostname field by clicking on it and typing in the new name. When it displays the desired name, connect to the server by clicking on the `Connect` button.

To change the options associated with starting the server, click on the Options... button. This opens the `Options...` dialog box (Figure 82). Most of the time, it is not necessary to use these options.

Figure 82. Start Server Options Dialog Box

The fields of this dialog box are as follows:

Executive | Specifies the name of the executive to run. You might change this field if you want to run a customized version of Data Explorer.
Working Directory | Specifies the default directory to search for files.
Memory Size | Specifies the amount of memory to use, in megabytes.

Options

Specify options in this text box as you would on the command line when invoking Data Explorer; that is, each option must be preceded by a dash.

`-cache on` saves the state of the visual program in memory after an execution. If the visual program changes, Data Explorer reexecutes only the portion of the program affected by the change. If `-cache off` is specified, Data Explorer must reexecute the entire program for each change. (The default setting is on.)

`-trace on` displays each execution step, as it happens, in the `Debug` window. It is mainly used for debugging purposes. (The default setting is off.)

`-log on` saves all communication between the server and the user interface to a file. (The default setting is off.)

Other options are listed in C.2 , "Command Line Options".

Connect to already running server radio button

Specifies that the user interface should connect with a server that was started earlier.

You might use this option to set up a connection to a debugging session for a customized version of the Data Explorer executable. You can specify the port number in using the stepper below the button. Note that when this button is toggled on, all other fields in this dialog box become disabled.

### Resetting the Server

If the data set your visual program is using changes (e.g., by being edited) during your Data Explorer session, and the `cache` is enabled (the default condition), it may be necessary to force Data Explorer to reinitialize the server executive to access the new data. To do this, select the `Reset Server` option from the `Connections` pull-down menu.

The action of resetting the server flushes the executive cache. The next time you execute the visual program, it executes the entire network, not just the portions affected by changes internal to the Data Explorer session, and will thus reaccess the data set.

[ OpenDX Home at IBM | OpenDX.org ]